package dev.ksan.etfoglasiserver.repository;

import dev.ksan.etfoglasiserver.model.Subject;
import java.util.UUID;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface SubjectRepo extends JpaRepository<Subject, UUID> {
    boolean existsByName(String name);
    Subject findByName(String name);
}
